Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Special Switch 1 - RG354771

Description

This block selects between two inputs (top input is Input 1, middle input is Input 2, Select displays a 1 or a 2 to indicate which input is selected).  It has a single output. This switch functions as a "pipe" meaning that inputs received on the non-selected input are ignored. The switch does not send an output when the selection changes.

The selection input is persistent.

Parameters

Input 1	Input 1 to the block.  Expects a value (-100% to +100%). Trigger input if selected.

Input 2	Input 2 to the block.  Expects a value (-100% to +100%). Trigger input if selected.

Select	Select input to the block.  Expects Input 1 (false) or Input 2 (true).

Get Input 1	Returns the current value of input 1:  -100% to +100%.

Get Input 2	Returns the current value of input 2:  -100% to +100%.

Get Select	Returns the current state of the switch:  Input 1 (false) or Input 2 (true).


Description

This block selects between two inputs (top input is Input 1, middle input is Input 2, Select displays a 1 or a 2 to indicate which input is selected).  It has a single output. This switch functions as a "pipe" meaning that inputs received on the non-selected input are ignored. The switch does not send an output when the selection changes.

The selection input is persistent.


Parameters

Input 1	Input 1 to the block.  Expects a value (-100% to +100%). Trigger input if selected.

Input 2	Input 2 to the block.  Expects a value (-100% to +100%). Trigger input if selected.

Select	Select input to the block.  Expects Input 1 (false) or Input 2 (true).

Get Input 1	Returns the current value of input 1:  -100% to +100%.

Get Input 2	Returns the current value of input 2:  -100% to +100%.

Get Select	Returns the current state of the switch:  Input 1 (false) or Input 2 (true).